Update preference - Preferences - Mercado Pago Developers
Update preference

Renew the details of a payment preference. Indicate the ID of the preference and send the parameters with the information you want to update

PUT

https://api.mercadopago.com/checkout/preferences/{id}
Request parameters
Path
id
string

REQUIRED

The preference's ID
Body
items
array
Items information.
payer
object
Buyer's information, such as name, last name, e-mail, phone, personal identification, address, and registration date.
payment_methods
object
All configuration related to payments methods, such as excluded payment methods, excluded payment types, default payment method, and installments.
shipments
object
Shipments information.
Response parameters
additional_info
string
Additional information.
auto_return
String
If specified, the buyer will be automatically redirected to the seller's site after the purchase is approved with a credit card.
approved: The redirection takes place only for approved payments with a credit card.
all: The redirection takes place only for approved payments with a credit card, forward compatibility only if we change the default behavior.
back_urls
object
Return URLs to the seller's site, either automatically ("auto_return") or through the 'Return to site' button, depending on the payment status. The use of the protocol ("https") in the URL is mandatory.
binary_mode
boolean
When the payment is activated, it can only be approved or rejected. Otherwise, the payment may be pending.
Errors

400Error

invalid_collector_id

collector_id invalid.

invalid_sponsor_id

sponsor_id is not an active user.

invalid_collector_email

collector is not collector_email owner.

invalid_operation_type

operation_type invalid.

invalid_expiration_date_to

expiration_date_to invalid.

invalid_date

invalid date of expiration.

invalid_expiration_date_from

expiration_date_from invalid.

invalid_items

unit_price invalid.

invalid_back_urls

back_urls invalid. Wrong format.

invalid_payment_methods

installments invalid. Should be a number between 1 and 36.

invalid_marketplace_fee

marketplace_fee must not be greater than total amount.

invalid_id

preference_id not found.

invalid_access_token

access denied

invalid_shipments

invalid type (<type>) for field shipments.cost.

Request
curl -X PUT \
    'https://api.mercadopago.com/checkout/preferences/{id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    -d '{
  "items": [
    {
      "id": "202809963-a2201f8d-11cb-443f-adf6-de5a42eed67d",
      "title": "Dummy Title",
      "description": "Dummy Description",
      "picture_url": "https://www.myapp.com/myimage.jpg",
      "category_id": "cat123",
      "quantity": 1,
      "currency_id": "CLP",
      "unit_price": 10
    }
  ],
  "payer": {
    "phone": {
      "number": null
    },
    "identification": {},
    "address": {
      "street_number": null
    }
  },
  "payment_methods": {
    "excluded_payment_methods": [
      {}
    ],
    "excluded_payment_types": [
      {}
    ],
    "installments": null,
    "default_installments": null
  },
  "shipments": {
    "local_pickup": false,
    "default_shipping_method": null,
    "free_methods": [
      {
        "id": null
      }
    ],
    "cost": null,
    "free_shipping": false,
    "receiver_address": {
      "street_number": null
    }
  },
  "back_urls": {},
  "auto_return": "approved",
  "expires": false,
  "expiration_date_from": "2022-11-17T09:37:52.000-04:00",
  "expiration_date_to": "2022-11-17T10:37:52.000-05:00",
  "marketplace_fee": 0,
  "differential_pricing": {
    "id": null
  },
  "metadata": {}
}'
Response
{
  "auto_return": "approved",
  "back_urls": {},
  "binary_mode": false,
  "client_id": 6295877106812064,
  "collector_id": 202809963,
  "coupon_code": {},
  "coupon_labels": {},
  "date_created": "2018-02-02T19:22:23.535Z",
  "date_of_expiration": {},
  "expiration_date_from": "2022-11-17T09:37:52.000-04:00",
  "expiration_date_to": "2022-11-17T10:37:52.000-05:00",
  "expires": false,
  "id": "202809963-920c288b-4ebb-40be-966f-700250fa5370",
  "init_point": "https://www.mercadopago.com/mla/checkout/start?pref_id=202809963-920c288b-4ebb-40be-966f-700250fa5370",
  "internal_metadata": {},
  "items": [
    {
      "title": "Dummy Item",
      "description": "Multicolor Item",
      "currency_id": "CLP",
      "quantity": 1,
      "unit_price": 10
    }
  ],
  "marketplace": "MP-MKT-6295877106812064",
  "marketplace_fee": 0,
  "metadata": {},
  "notification_url": "https://url.com.br/notificacao",
  "payer": {
    "phone": {},
    "address": {
      "street_name": "Mc Street",
      "street_number": "7304"
    },
    "identification": {},
    "last_purchase": {}
  },
  "payment_methods": {
    "default_card_id": {},
    "excluded_payment_methods": [
      {
        "id": ""
      }
    ],
    "excluded_payment_types": [
      {
        "id": ""
      }
    ]
  },
  "processing_modes": {},
  "product_id": {},
  "redirect_urls": {},
  "sandbox_init_point": "https://sandbox.mercadopago.com/mla/checkout/pay?pref_id=202809963-920c288b-4ebb-40be-966f-700250fa5370",
  "site_id": "MLB",
  "shipments": {
    "default_shipping_method": {},
    "receiver_address": {
      "city_name": {},
      "state_name": {}
    }
  },
  "total_amount": {},
  "last_updated": {},
  "statement_descriptor": "MERCADOPAGO"
}